<?php
/**
 * TemplateMela
 * @copyright  Copyright (c) 2010 TemplateMela. (http://www.templatemela.com)
 * @license    http://www.templatemela.com/license/
 */
?><?php  // Reference:  http://codex.wordpress.org/Widgets_API
class CMSBlockWidget extends WP_Widget
{
    function  __construct(){
			$widget_settings = array('description' => 'CMS Block Widget', 'classname' => 'widgets-cms');
		parent::__construct(false,$name='TM - CMS Block Widget',$widget_settings);
    }
    function widget($args, $instance){
		extract($args);
		$window_target = isset($instance['window_target']) ? $instance['window_target'] : false;
		$is_template_path = isset($instance['is_template_path']) ? $instance['is_template_path'] : false;
		$desc_content = empty($instance['desc_content']) ? '' : $instance['desc_content'];
		$main_title = empty($instance['main_title']) ? '' : $instance['main_title']; 
		$sub_title = empty($instance['sub_title']) ? '' : $instance['sub_title']; 
		
		$imageSrc = empty($instance['imageSrc']) ? '' : $instance['imageSrc'];
		$linkURL = empty($instance['linkURL']) ? '' : $instance['linkURL'];
		if($is_template_path == 1):
			$imageSrc = get_template_directory_uri() . '/images/megnor/' . $imageSrc; 
		endif;
		
		 echo wp_kses_post($before_widget);
		 ?>
		 <div class="offer-banner">
					<span class="static-inner"> 
					 <span class="text1 static-text"><a href="<?php if($linkURL == ""): echo home_url( '/' ); else:?><?php echo esc_url($linkURL); endif;?>" <?php if($window_target == true) echo 'target="_blank"'; ?>  ><?php echo esc_attr($main_title); ?> </a></span>
						<span class="subtitle"><?php echo esc_attr($sub_title); ?> </span>
					</span>
					<div class="offer-banner-img">
					<a href="<?php if($linkURL == ""): echo home_url( '/' ); else:?><?php echo esc_url($linkURL); endif;?>" <?php if($window_target == true) echo 'target="_blank"'; ?>  ><img src="<?php echo esc_url($imageSrc); ?>" alt="xx" class="vv" /></a>
					</div>
					<div class="description">
						<span class="description-content"><?php echo esc_attr($desc_content); ?> </span>
					</div>
				
		 </div>
		<?php
		 echo wp_kses_post($after_widget);			
	}
    function update($new_instance, $old_instance){
		$instance = $old_instance;
		$instance['window_target'] = false;
		$instance['is_template_path'] = false;
		if (isset($new_instance['window_target'])) $instance['window_target'] = true;
		$instance['main_title'] = strip_tags($new_instance['main_title']);
		$instance['sub_title'] = strip_tags($new_instance['sub_title']);
		if (isset($new_instance['is_template_path'])) $instance['is_template_path'] = true;
		$instance['desc_content'] = strip_tags($new_instance['desc_content']);
		$instance['linkURL'] = strip_tags($new_instance['linkURL']);
		$instance['imageSrc'] = strip_tags($new_instance['imageSrc']);
		if($is_template_path == 1):
			$imageSrc = get_template_directory_uri() . '/images/megnor/banners/' . $imageSrc; 
		endif;
		
		return $instance;
	}
    function form($instance){
		$instance = wp_parse_args( (array) $instance, array(
			'main_title'=>'use wallet', 
			'sub_title'=>'pay for payments', 
			'desc_content' => '',
			'imageSrc'=>'icon_1.png',
			'linkURL'=>'#',
			'window_target'=>true,
			'is_template_path'=>true
		) );
		
		$main_title = esc_attr($instance['main_title']);
		$sub_title = esc_attr($instance['sub_title']);
		$desc_content = esc_attr($instance['desc_content']);
		$linkURL = esc_attr($instance['linkURL']);
		$imageSrc = esc_attr($instance['imageSrc']);
		$window_target =  esc_attr($instance['window_target']);
		$is_template_path =  esc_attr($instance['is_template_path']); 	
	?>
		<p><label for="<?php echo esc_attr($this->get_field_id('main_title'));?>">Main Title:</label>
		<input class="widefat" id="<?php echo esc_attr($this->get_field_id('main_title'));?>" name="<?php echo esc_attr($this->get_field_name('main_title'));?>" type="text" value="<?php echo esc_attr($main_title);?>"></input>
		</p>
		<p><label for="<?php echo esc_attr($this->get_field_id('sub_title'));?>">Sub Title:</label>
		<input class="widefat" id="<?php echo esc_attr($this->get_field_id('sub_title'));?>" name="<?php echo esc_attr($this->get_field_name('sub_title'));?>" type="text" value="<?php echo esc_attr($sub_title);?>"></input>
		</p>
		<p><label for="<?php echo esc_attr($this->get_field_id('desc_content'));?>">Description:</label>
		<input class="widefat" id="<?php echo esc_attr($this->get_field_id('desc_content'));?>" name="<?php echo esc_attr($this->get_field_name('desc_content'));?>" type="text" value="<?php echo esc_attr($desc_content);?>"></input>
		</p>
		<p><label for="<?php echo esc_attr($this->get_field_id('imageSrc'));?>">Image URL:<br /></label>
			<input class="widefat" id="<?php echo esc_attr($this->get_field_id('imageSrc'));?>" name="<?php echo esc_attr($this->get_field_name('imageSrc'));?>" type="text" value="<?php echo esc_attr($imageSrc);?>" /><br />
			<input class="checkbox" type="checkbox" <?php checked($instance['is_template_path'], true) ?> id="<?php echo esc_attr($this->get_field_id('is_template_path')); ?>" name="<?php echo esc_attr($this->get_field_name('is_template_path')); ?>" /><label for="<?php echo esc_attr($this->get_field_id('is_template_path')); ?>">Use Template Path for Image</label>
		</p>
		<p><label for="<?php echo esc_attr($this->get_field_id('linkURL'));?>">Link URL:<br /></label>
		<input class="widefat" id="<?php echo esc_attr($this->get_field_id('linkURL'));?>" name="<?php echo esc_attr($this->get_field_name('linkURL'));?>" type="text" value="<?php echo esc_attr($linkURL);?>" />
		<label>(e.g. http://www.Google.com/...)</label><br />
		<input class="checkbox" type="checkbox" <?php checked($instance['window_target'], true) ?> id="<?php echo esc_attr($this->get_field_id('window_target')); ?>" name="<?php echo esc_attr($this->get_field_name('window_target')); ?>" /><label for="<?php echo esc_attr($this->get_field_id('window_target')); ?>">Open Link In New Window</label></p>		
		
		<?php
	}
}

function cmsblock_register_widgets()
	{
		global $wp_widget_factory;
		$wp_widget_factory->register('CMSBlockWidget');
	}
add_action('widgets_init', 'cmsblock_register_widgets');
// end CMSBlockWidget
?>