<?php
/**
 * The Header for our theme
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @package WordPress
 * @subpackage Templatemela
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width,initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11"/>
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>"/>
<?php tmpmela_header(); ?>
 <?php wp_head();?> 
</head>
<body <?php body_class(); ?>>
<?php if ( get_option('tmpmela_control_panel') == 'yes' ) do_action('tmpmela_show_panel'); ?>

<div id="page" class="hfeed site">
<?php if ( get_header_image() ) : ?>
<div id="site-header"> <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"> <img src="<?php header_image(); ?>" width="<?php echo esc_attr(get_custom_header()->width); ?>" height="<?php echo esc_attr(get_custom_header()->height); ?>" alt="<?php echo esc_html_e('Siteheader','ecode'); ?>"> </a> </div>
<?php endif; ?>
<!-- Header -->
<?php tmpmela_header_before(); ?>
<header id="masthead" class="site-header  site-header-fix <?php echo "header".esc_attr(get_option('tmpmela_header_layout'));  ?> <?php echo esc_attr(tmpmela_sidebar_position()); ?>">
   <div class="header-main header-fix">
    <?php if (get_option('tmpmela_show_topbanner') == 'yes') : ?> 
		  <div class="topbar-outer">
					<div class="theme-container">	
					<?php if (get_option('tmpmela_show_topbanner_text') == 'yes') : ?> 
									  <div class="topbar-text"><?php echo esc_attr(stripslashes(get_option('tmpmela_top_cms_banner_text')))?></div>	 
						<?php endif; ?> 
							<div class="nav-menu-right">
						
								
							
							<div class="header-menu-links">
								<?php
											$tmpmela_account_menu=array(
											'menu' => esc_html__('TM Header Top Links','ecode'),
											'depth'=> 1,
											'echo' => false,
											'menu_class'      => 'header-menu', 
											'container'       => '', 
											'container_class' => '', 
											'theme_location' => 'header-menu'
											);
											echo wp_nav_menu($tmpmela_account_menu);				    
											?>
							</div>
					</div>	
					</div>
			 </div>
	 <?php endif; ?>
	
		<?php tmpmela_header_inside(); ?>
		  <div class="header-top">
			<div class="theme-container">	
				<div class="header-left">
								<!-- Header LOGO-->
								<div class="header-logo">
									<?php if (get_option('tmpmela_logo_image') != '') : ?>
										<a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home">
										<?php tmpmela_get_logo(); ?>
										</a>
									<?php else: ?>
										<h3 class="site-title"> <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
											<?php bloginfo( 'name' ); ?>
											</a>
										</h3>
									<?php endif; ?>
									<?php if(get_option('tmpmela_showsite_description') == 'yes') : ?>
										<h2 class="site-description">
											<?php bloginfo( 'description' ); ?>
										</h2>
									<?php endif; // End tmpmela_showsite_description ?>
								</div>
								<!-- Header Mob LOGO-->
								<div class="header-mob-logo">
										<?php if (get_option('tmpmela_mob_logo_image') != '') : ?>
											<a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home">
											<?php tmpmela_get_mob_logo(); ?>
											</a>
										<?php else: ?>
											<h3 class="site-title"> <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
												<?php bloginfo( 'name' ); ?>
												</a>
											</h3>
										<?php endif; ?>
										<?php if(get_option('tmpmela_showsite_description') == 'yes') : ?>
											<h2 class="site-description">
												<?php bloginfo( 'description' ); ?>
											</h2>
										<?php endif; // End tmpmela_showsite_description ?>
								</div>
										
				</div>
					<div class="header-middle">
									
									<div class="tmpmela-topbar-menu-links">
			<div class="topbar-menu-toggle"></div>
				<?php wp_nav_menu( array( 'theme_location' => 'topbar-menu','menu_class' => 'mega' ) ); ?>
			</div>
			
			
			<!-- #site-navigation -->
					<nav id="site-navigation" class="navigation-bar main-navigation">																			
						<h3 class="menu-toggle"><?php esc_html_e( 'Menu', 'ecode' ); ?></h3>
						<a class="screen-reader-text skip-link" href="#content" title="<?php esc_html_e( 'Skip to content', 'ecode' ); ?>"><?php esc_html_e( 'Skip to content', 'ecode' ); ?></a>	
							<div class="mega-menu">
								<?php wp_nav_menu( array( 'theme_location' => 'primary','menu_class' => 'mega' ) ); ?>			
							</div>	
							<div class="mobile-menu">	
							<span class="close-menu"></span>	
								<?php wp_nav_menu( array( 'theme_location' => 'primary','menu_class' => 'mobile-menu-inner') ); ?>
							</div>	
					</nav>
					</div>
					<div class="header-right">
						<div class="offer-text">
						<a href="<?php echo esc_url(get_option('tmpmela_offer_text_link')); ?>" >
						<?php echo esc_attr(stripslashes(get_option('tmpmela_show_offer_text')))?>
						</a>
						</div>	 
				    </div>
				
			</div>						
           </div>
								
		   <div class="header-bottom">
				
				<!-- category block -->
				<nav class="nav-top">																			
							<h3 class="menu-toggle"><?php esc_html_e( 'Menu', 'ecode' ); ?></h3>
							<a class="screen-reader-text skip-link" href="#content" title="<?php esc_html_e( 'Skip to content', 'ecode' ); ?>"><?php echo esc_html_e('menu','ecode'); ?><?php esc_html_e( 'Skip to content', 'ecode' ); ?></a>	
								
								<div class="mobile-menu">	
								<span class="close-menu"></span>	
									<?php wp_nav_menu( array( 'theme_location' => 'primary','menu_class' => 'mobile-menu-inner') ); ?>
								</div>	
						</nav>
			<?php if (is_active_sidebar('home-category')) : ?>
			<div class="category-list">
			<div class="box-category-heading">
				<div class="box-category">
								<span class="heading-img"></span><?php echo get_option( 'tmpmela_navbar_category_title' ); ?>
				</div>
			</div>
			
			<div class="category-box">
				<div class="home-category widget_product_categories">
					<?php tmpmela_get_widget('home-category');  ?>	
				</div>
			
			</div>
			
			</div>
			<?php endif; ?>	
		<!-- end category block -->	

			 				<!-- Search -->
									<?php if (is_active_sidebar('header-search')) : ?>
									<div class="header-search">
										<div class="header-toggle"></div>
											<?php tmpmela_get_widget('header-search');  ?>	
									</div>
									<?php endif; ?>	
									<div class="account-cart">
									<!-- account -->
									<div class="topbar-link">
									<p class="account-block"><span class="account-label"><?php echo esc_html_e('Account','ecode'); ?></span></p>
								 <div class="topbar-link-wrapper">   
											<div class="account-menu-links">
												<?php if ( has_nav_menu('account-menu') ) { ?> 						
													<?php 
													// Woo commerce Header Cart
													$tmpmela_header_menu =array(
													'menu' => esc_html__('TM ccount Links','ecode'),
													'depth'=> 1,
													'echo' => false,
													'menu_class'      => 'account-menu', 
													'container'       => '', 
													'container_class' => '', 
													'theme_location' => 'account-menu'
													);
													echo wp_nav_menu($tmpmela_header_menu);				    
													?>
													<?php } ?> 	
													<?php
													$logout_url = '';
													if ( is_user_logged_in() ) {
														$myaccount_page_id = get_option( 'woocommerce_myaccount_page_id' ); 
														if ( $myaccount_page_id ) { 
														$logout_url = wp_logout_url( get_permalink( $myaccount_page_id ) ); 
														if ( get_option( 'woocommerce_force_ssl_checkout' ) == 'yes' )
														if (is_ssl()) {
														$logout_url = str_replace( 'http:', 'https:', $logout_url );
														}
														} ?>
														<a class="login-out" href="<?php echo esc_url($logout_url); ?>" ><?php echo esc_html_e('Logout','ecode'); ?></a>
														<?php }
														else { ?>
														<a class="login-out" href="<?php echo  get_permalink( get_option('woocommerce_myaccount_page_id') ); ?>"><?php echo esc_html_e('User Login','ecode'); ?></a>
													<?php } ?>  
											</div>			
									</div>
									</div>
										<!--Cart -->				
									<?php 
										// Woo commerce Header Cart
										if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) && is_active_sidebar('header-widget') ) : ?>
										<div class="header-cart">
											<div class="cart-item togg">
												<?php global $woocommerce;
												ob_start();?>						
												<div class="shopping_cart tog" title="<?php esc_html_e('View your shopping cart', 'ecode'); ?>">
												<div class="cart-icon"></div>
													<div class="cart-qty">
														<a class="cart-contents" href="<?php echo esc_url(wc_get_cart_url()); ?>" title="<?php esc_html_e('View your shopping cart', 'ecode'); ?>"><span class="quanitity"><?php echo sprintf(_n('%d', '%d', $woocommerce->cart->cart_contents_count, 'ecode'), $woocommerce->cart->cart_contents_count);?></span><?php echo translate($woocommerce->cart->get_cart_total()); ?></a>
													</div>	
																							
											    </div>	
												<?php global $woocommerce; ?>
												<?php tmpmela_get_widget('header-widget'); ?>		
										    </div>		
										</div>					
										<?php endif; ?>	
										</div>
			
				</div>
			
								
	</div>
</header>
<?php tmpmela_header_after(); ?>
<?php tmpmela_main_before(); ?>
	<?php 
		$tmpmela_page_layout = tmpmela_page_layout(); 
		if( isset( $tmpmela_page_layout) && !empty( $tmpmela_page_layout ) ):
		$tmpmela_page_layout = $tmpmela_page_layout; 
		else:
		$tmpmela_page_layout = '';
		endif;
	?>
<?php 
$shop = '0';
	if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) :
	if(is_shop())
		$tmpmela_page_layout = 'wide-page';
		$shop = '1';
	endif;
?>
<div id="main" class="site-main <?php if (get_option('tmpmela_show_topbar') == 'yes') echo "extra"; ?>">
<div class="main_inner">
 <div class="main-inner-container">
 <!--  main slider -->
<?php /*?> <?php if (is_page_template('page-templates/home.php') ) : ?>
				 <?php if ( in_array( 'revslider/revslider.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) : ?>	
					 <div class="mainbanner">
						<div id="revolutionslider">
								<div class="revolutionslider-inner">
									<?php echo do_shortcode('[rev_slider '.get_option('tmpmela_revslider_alias').']'); ?>
								</div>
						</div>			
					</div>
				<?php endif; ?><?php */?>
				<!-- End main slider -->		
			
			<?php /*?><?php endif; ?>	<?php */?>	
</div>
<?php if ( !is_page_template('page-templates/home.php')) : ?>
	<div class="page-title header">
  <div class="page-title-inner">
     <h3 class="entry-title-main">
<?php	    
	  if($shop == '1') {
	       		if(is_shop()) :
		    		echo '';
				elseif(tmpmela_is_blog()):
				        esc_html_e( 'Blog', 'ecode' );
				elseif(is_search()) :
					printf( esc_html__( 'Search Results for: "%s"', 'ecode' ), get_search_query() ); 
				elseif( is_front_page() && is_home()):
				    esc_html_e( 'Blog', 'ecode' );	    
				elseif(is_singular('post')):
					esc_html_e( 'Single Blog', 'ecode' );	    
				else :
				    the_title();
	        	endif; 	
	   }else {		   		
			 if(tmpmela_is_blog()):
				esc_html_e( 'Blog', 'ecode' );		
			elseif(is_search()) :
				printf( esc_html__( 'Search Results for: "%s"', 'ecode' ), get_search_query() ); 		
			elseif(is_singular('post') ) :
				esc_html_e( 'Single Blog', 'ecode' );				
			else :
				    the_title();
			endif; 	
		}  
	  ?>
    </h3>
    <?php tmpmela_breadcrumbs(); ?>
  </div>
</div>
<?php endif; ?>
<?php 
	$tmpmela_page_layout = tmpmela_page_layout(); 
	if( isset( $tmpmela_page_layout) && !empty( $tmpmela_page_layout ) ):
	$tmpmela_page_layout = $tmpmela_page_layout; 
	else:
	$tmpmela_page_layout = '';
	endif;
if ( $tmpmela_page_layout == 'wide-page' ) : ?>
	<div class="main-content-inner-full">
<?php else: 		
if(is_archive() || is_tag() || is_404()) : ?>
	<div class="main-content">
<?php else : ?>
	<div class="main-content-inner  <?php echo esc_attr(tmpmela_sidebar_position()); ?>">
<?php endif; ?>
<?php endif; ?>
<?php tmpmela_content_before(); ?>